# CUTLASS: cutlass::epilogue::threadblock::DefaultThreadMapWmmaTensorOp< ThreadblockShape_, WarpShape_, InstructionShape_, PartitionsK, Element_, ElementsPerAccess >::Detail Struct Reference

cutlass::epilogue::threadblock::DefaultThreadMapWmmaTensorOp< ThreadblockShape_, WarpShape_, InstructionShape_, PartitionsK, Element_, ElementsPerAccess >::Detail Struct Reference

`#include <default_thread_map_wmma_tensor_op.h>`

## Public Types

using | WarpCount = gemm::GemmShape< ThreadblockShape::kM/WarpShape::kM, ThreadblockShape::kN/WarpShape::kN, kPartitionsK >
| Number of warps. More...

## Static Public Attributes

static int const | kTensorOpRows = InstructionShape::kM
| Wmma Tensor Operations fundamentally perform operations on InstructionShape::kM rows. More...
static int const | kWarpSize = 32
static int const | kThreads = WarpCount::kCount * kWarpSize
| Number of participating threads. More...

## Member Typedef Documentation

template<typename ThreadblockShape_ , typename WarpShape_ , typename InstructionShape_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

using cutlass::epilogue::threadblock::DefaultThreadMapWmmaTensorOp< ThreadblockShape_, WarpShape_, InstructionShape_, PartitionsK, Element_, ElementsPerAccess >::Detail::WarpCount = gemm::GemmShape< ThreadblockShape::kM / WarpShape::kM, ThreadblockShape::kN / WarpShape::kN, kPartitionsK >

## Member Data Documentation

template<typename ThreadblockShape_ , typename WarpShape_ , typename InstructionShape_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapWmmaTensorOp< ThreadblockShape_, WarpShape_, InstructionShape_, PartitionsK, Element_, ElementsPerAccess >::Detail::kTensorOpRows = InstructionShape::kM

static

template<typename ThreadblockShape_ , typename WarpShape_ , typename InstructionShape_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapWmmaTensorOp< ThreadblockShape_, WarpShape_, InstructionShape_, PartitionsK, Element_, ElementsPerAccess >::Detail::kThreads = WarpCount::kCount * kWarpSize

static

template<typename ThreadblockShape_ , typename WarpShape_ , typename InstructionShape_ , int PartitionsK, typename Element_ , int ElementsPerAccess>

int const cutlass::epilogue::threadblock::DefaultThreadMapWmmaTensorOp< ThreadblockShape_, WarpShape_, InstructionShape_, PartitionsK, Element_, ElementsPerAccess >::Detail::kWarpSize = 32

static

The documentation for this struct was generated from the following file:

- default_thread_map_wmma_tensor_op.h